#include "pch.h"
#include "GenericBkMFC.h"
#include "DlgAbout.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CDlgAbout::CDlgAbout(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgAbout::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgAbout)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void CDlgAbout::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgAbout)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP

	DDX_Control(pDX, IDC_STCCOPYRIGHT, m_stcCopyRight);

	// Make our buttons a CButtonST buttons
	DDX_Control(pDX, IDC_BTNSTLOGO, m_btnSTLogo);
	DDX_Control(pDX, IDC_BTNFACE, m_btnFace);
}

BEGIN_MESSAGE_MAP(CDlgAbout, CDialog)
	//{{AFX_MSG_MAP(CDlgAbout)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CDlgAbout::OnInitDialog() 
{
	CString	sText;

	CDialog::OnInitDialog();

	sText = _T("Copyright (C) 1998-2026 by SoftechSoftware");
	sText += _T("\r\n");
	sText += _T("Davide Calabro'");
	sText += _T("\r\n");
	sText += _T("www.SoftechSoftware.it");
	sText += _T("\r\n");
	sText += _T("www.SoftechSoftware.com");
	m_stcCopyRight.SetWindowText(sText);

	// SoftechSoftware logo button
	m_btnSTLogo.m_bShowDisabledBitmap = FALSE;
	m_btnSTLogo.SetBitmaps(IDB_STLOGO, RGB(255, 255, 255));
	// Face button
	m_btnFace.m_bShowDisabledBitmap = FALSE;
	m_btnFace.SetBitmaps(IDB_FACE, RGB(255, 255, 0));
	
	return TRUE;
} // End of OnInitDialog

void CDlgAbout::OnOK()
{
} // End of OnOK

void CDlgAbout::OnCancel()
{
} // End of OnCancel
